﻿.sys_events-control .sys_noresults {
    border: 2px solid #18623e;
    background-color: #D1E0D8;
    color: #0a2719;
    border-radius: 1rem;
    padding: 1rem;
}

ul.sys_itemslist {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin: 0 0 2rem 0;
    list-style: none;
}

.haighglobal-events__item {
    display: flex;
    flex-direction: column;
    border: 2px solid #18623e;
    background-color: #D1E0D8;
    color: #0a2719;
    border-radius: 1rem;
    font-size: 1rem;
    align-items: center;
    overflow: hidden;
}

.haighglobal-events__thumbnail-container {
    max-height: 200px;
    display: flex;
    overflow: hidden;
    width: 100%;
    align-items: center;
}

.haighglobal-events__thumbnail-container img.haighglobal-events__thumbnail-image {
    height: auto;
    width: 100%;
}

.haighglobal-events__detail-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
    padding: 1rem;
    box-sizing: border-box;
}

.haighglobal-events__description p:first-of-type {
    margin-top: 0;
}

.haighglobal-events__description p {
    margin: 1rem 0;
}

.haighglobal-events__description p:last-of-type {
    margin-bottom: 0;
}

h2.haighglobal-events__title {
    margin: 0;
}

.haighglobal-events__metadata {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    border-top: 2px solid #18623e;
    padding-top: 1rem;
    width: 100%;
    line-height: 1.5rem;
}

.haighglobal-events__metadata > div,
.haighglobal-events__metadata > p {
    display: flex;
    align-items: center;
    word-break: break-word;
}

.haighglobal-events__metadata p {
    margin: 0;
    word-wrap: break-word;
}

i.icon::before {
    margin-right: 0.5rem;
    font-size: 1.75rem;
    vertical-align: middle;
    font-family: 'icomoon';
    font-style: normal;
    display: inline;
    font-weight: 100;
}

i.icon.date::before {
    content: "\e932";
}

i.icon.location::before {
    content: "\e905";
}

i.icon.ticket::before {
    content: "\e95c";
}

i.icon.registration::before {
    content: "\e98b";
}

.sys_events-control .sys_flickrpager {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.sys_events-control .sys_flickrpager .sys_navigation {
    display: flex;
    gap: 0.25rem;
}

.sys_events-control .sys_flickrpager .sys_navigation > span * {
    background-color: #0e3924;
    color: #fff;
    padding: 0.25rem 1rem;
    border-radius: 0.25rem;
    min-width: 44px;
    min-height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    align-self: center;
}

.sys_events-control .sys_flickrpager .sys_navigation > span.sys_disabled * {
    opacity: 0.75;
}

.sys_events-control .sys_flickrpager .sys_navigation > span.sys_selected * {
    background-color: #18623f;
}

.sys_events-control .sys_flickrpager .sys_navigation span > a {
    position: relative;
    color: #fff;
    text-decoration: none;
    width: 100%;
    height: 100%;
    transition: background-color 0.3s ease;
}

.sys_events-control .sys_flickrpager .sys_navigation span > a::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.sys_events-control .sys_flickrpager .sys_navigation span > a:hover {
    background-color: #18623f;
}

/* RESPONSIVE STYLES
=========================================== */

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .haighglobal-events__item {
        flex-direction: row;
    }

    .haighglobal-events__thumbnail-container {
        max-width: 190px;
        max-height: 250px;
        border-radius: 0.5rem;
        margin: 0.5rem;
        align-self: stretch;
        justify-content: center;
    }

    .haighglobal-events__thumbnail-container img.haighglobal-events__thumbnail-image {
        height: 100%;
        width: auto;
    }

    .haighglobal-events__item {
        align-items: start;
    }

    .haighglobal-events__metadata {
        width: fit-content;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {}

/* Override animated elements using motion */
@media (prefers-reduced-motion: reduce) {}